 <%@ Page Language="C#" AutoEventWireup="true" CodeFile="EditModeSample.aspx.cs" Inherits="FormEditModeDemo" %>

<%@ Register Assembly="Syncfusion.Grid.Grouping.Web, Version=4.102.0.50, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.Web.UI.WebControls.Grid.Grouping" TagPrefix="sfwg" %>

<%@ Register Assembly="Syncfusion.Shared.Web, Version=4.102.0.50, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.Web.UI.WebControls.Tools" TagPrefix="ssw" %>
<%@ Register Assembly="Syncfusion.Shared.Base, Version=4.102.0.50, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.Styles" TagPrefix="cc1" %>
<%@ Register Assembly="Syncfusion.Grid.Windows, Version=4.102.0.50, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.Windows.Forms.Grid" TagPrefix="cc2" %>
<%@ Register Assembly="Syncfusion.Grouping.Base, Version=4.102.0.50, Culture=neutral, PublicKeyToken=3d67ed1f87d44c89"
    Namespace="Syncfusion.Grouping" TagPrefix="cc3" %>
<%@ Register Assembly="Syncfusion.Grid.Grouping.Web" Namespace="Syncfusion.Web.UI.WebControls.Grid.Grouping" TagPrefix="sfwg" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">

<html xmlns="http://www.w3.org/1999/xhtml" >
<head runat="server">
    <title>Forum UseTemplate form Editing Modes Sample</title>

</head>
<body>
    <form id="form1" runat="server">
			<div><h4>Essential Grid Custom Template Form Edit Mode Demo</h4></div>			
						
				<HR width="100%" SIZE="1">
			<P>
      <sfwg:gridgroupingcontrol id=GridGroupingControl1 tabIndex=2 runat="server" BackColor="#C4D6E9"  EnableCallbacks="true" TableLayoutMode="auto" PageSize="-1" DataMember="DefaultView" DataSourceID="AccessDataSource1" OnBarButtonItemClicked="GridGroupingControl1_BarButtonItemClicked">
										<TableOptions ShowRowHeader="False" ListBoxSelectionMode="MultiExtended"></TableOptions>
					<ButtonBars>
<sfwg:NavigatorBar ButtonBackColor="Control"><BarItems>
<sfwg:ButtonBarItem ButtonBarItemType="MoveFirst"></sfwg:ButtonBarItem>
<sfwg:ButtonBarItem ButtonBarItemType="MovePrevPage"></sfwg:ButtonBarItem>
<sfwg:ButtonBarItem ButtonBarItemType="MovePrev"></sfwg:ButtonBarItem>
<sfwg:ButtonBarItem ButtonBarItemType="ChangePageSize"></sfwg:ButtonBarItem>
<sfwg:ButtonBarItem ButtonBarItemType="MoveNext"></sfwg:ButtonBarItem>
<sfwg:ButtonBarItem ButtonBarItemType="MoveNextPage"></sfwg:ButtonBarItem>
<sfwg:ButtonBarItem ButtonBarItemType="MoveLast"></sfwg:ButtonBarItem>
<sfwg:ButtonBarItem ButtonBarItemType="EditRow"></sfwg:ButtonBarItem>
<sfwg:ButtonBarItem ButtonBarItemType="DeleteRow" Visible="False"></sfwg:ButtonBarItem>
<sfwg:ButtonBarItem ButtonBarItemType="Refresh"></sfwg:ButtonBarItem>
<sfwg:ButtonBarItem ButtonBarItemType="Save"></sfwg:ButtonBarItem>
<sfwg:ButtonBarItem ButtonBarItemType="Cancel"></sfwg:ButtonBarItem>
</BarItems>
</sfwg:NavigatorBar>
</ButtonBars>
					<Appearance>
<AlternateRecordFieldCell Interior="Solid; 192, 255, 192"></AlternateRecordFieldCell>
</Appearance>
					<TableDescriptor formeditmode="UseTemplateForm">
					<FormModeTemplate>

							<TABLE cellSpacing="0" cellPadding="0" width="100%" border="0">
								<TR>
									<TD>Category ID:</TD>
									<TD>
										<asp:TextBox id=CategoryIDTB runat="server" Enabled="<%#Container.CurrentRecord is GridRecord ? false : true%>" Text='<%#GetFieldValue("CategoryID", Container)%>'>
										</asp:TextBox></TD>
								</TR>
								<TR>
									<TD>Category Name:</TD>
									<TD>
										<asp:TextBox id=CategoryTB runat="server" Text='<%#GetFieldValue("CategoryName", Container)%>'>
										</asp:TextBox></TD>
								</TR>
								<TR>
									<TD>Description:</TD>
									<TD>
										<asp:TextBox id=DescriptionTB runat="server" Text='<%#GetFieldValue("Description", Container)%>'>
										</asp:TextBox></TD>
								</TR>
								</TABLE>
						</FormModeTemplate>
					</TableDescriptor>
					
						

				</sfwg:gridgroupingcontrol>
    <asp:AccessDataSource ID="AccessDataSource1" runat="server" DataFile="~/NWIND.MDB"
        DeleteCommand="DELETE FROM [Categories] WHERE [CategoryID] = ?" InsertCommand="INSERT INTO [Categories] ([CategoryID], [Description], [CategoryName]) VALUES (?, ?, ?)"
        SelectCommand="SELECT [CategoryID], [Description], [CategoryName] FROM [Categories]"
        UpdateCommand="UPDATE [Categories] SET [Description] = ?, [CategoryName] = ? WHERE [CategoryID] = ?">
        <DeleteParameters>
            <asp:Parameter Name="CategoryID" Type="Int32" />
        </DeleteParameters>
        <UpdateParameters>
            <asp:Parameter Name="Description" Type="String" />
            <asp:Parameter Name="CategoryName" Type="String" />
            <asp:Parameter Name="CategoryID" Type="Int32" />
        </UpdateParameters>
        <InsertParameters>
            <asp:Parameter Name="CategoryID" Type="Int32" />
            <asp:Parameter Name="Description" Type="String" />
            <asp:Parameter Name="CategoryName" Type="String" />
        </InsertParameters>
    </asp:AccessDataSource>
</P>
    <p>
        &nbsp;</p>
        <p>
            This sample&nbsp; uses Categories &nbsp;table of Nwind database.</p>
  </form>
</body>
</html>
